[PATCH v6 0/2] dax, dm: stop requiring dax for device-mapper